package board.model;

import java.lang.annotation.Annotation;

import javax.servlet.annotation.MultipartConfig;

import board.controller.DispatcherServlet;

public class MultiPartType {
	public static final String getLocation() { 	//DispatcherServlet에 추가한 @MultipartConfig를 이용해서 
												//파일을 업로드할 location 위치 얻어오기
		Annotation[] annotations = DispatcherServlet.class.getDeclaredAnnotations();
		for(Annotation annotation : annotations) {
			if(annotation instanceof MultipartConfig) {
				MultipartConfig config = (MultipartConfig) annotation;
				return config.location();
			}
		}
		
		return null;
	}
}
