package board.model;

import org.apache.commons.codec.digest.DigestUtils;

public class MemberDto {
	private String id;
	private String password;
	private String name;
	private String birth;
	private String phone;
	private String zipcode;
	private String address1;
	private String address2;

	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getPassword() {
		return password;
	}
	public void setPassword(String password) {
		//this.password = password;
		this.password = DigestUtils.md5Hex(password); //패스워드 암호화
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getBirth() {
		return birth;
	}
	public void setBirth(String birth) {
		this.birth = birth;
	}
	public String getPhone() {
		return phone;
	}
	public void setPhone(String phone) {
		this.phone = phone;
	}
	public String getZipcode() {
		return zipcode;
	}
	public void setZipcode(String zipcode) {
		//this.zipcode = zipcode;
		this.zipcode = zipcode.replace("-", ""); //구 우편번호는 "-" 생략
	}
	public String getAddress1() {
		return address1;
	}
	public void setAddress1(String address1) {
		this.address1 = address1;
	}
	public String getAddress2() {
		return address2;
	}
	public void setAddress2(String address2) {
		this.address2 = address2;
	}
	
	@Override
	public String toString() {
		return "MemberDto [id=" + id + ", password=" + password + ", name=" + name + ", birth=" + birth + ", phone="
				+ phone + ", zipcode=" + zipcode + ", address1=" + address1 + ", address2=" + address2 + "]";
	}
	
	
}
